Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 988627 - "Transaction failed" in ovirt.log
Summary: "Transaction failed" in ovirt.log
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-node
Version: 3.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: 3.4.1
Assignee: Fabian Deutsch
QA Contact: bugs@ovirt.org
URL:
Whiteboard: node
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-26 02:42 UTC by bohai
Modified: 2017-10-09 09:13 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-04-30 10:28:38 UTC
oVirt Team: Node


Attachments (Terms of Use)

Description bohai 2013-07-26 02:42:34 UTC
Description of problem:
error log in ovirt.log

Version-Release number of selected component (if applicable):
latest

How reproducible:
100%

Steps to Reproduce:
1.boot the system
2.read the ovirt.log

Actual results:
"Transaction failed" occured

Expected results:
no this error log,everything is normal

Additional info:
Jul 25 02:35:08 Synchronizing log files
No handlers could be found for logger "ovirt.node.utils"
Traceback (most recent call last):
  File "<stdin>", line 3, in <module>
  File "/usr/lib/python2.7/site-packages/ovirtnode/network.py", line 55, in
configure_dns
    return Network().commit()
  File "/usr/lib/python2.7/site-packages/ovirt/node/config/defaults.py", line
106, in commit
    return tx()
  File "/usr/lib/python2.7/site-packages/ovirt/node/utils/__init__.py", line
240, in __call__
    return self.run()
  File "/usr/lib/python2.7/site-packages/ovirt/node/utils/__init__.py", line
235, in run
    "%s" % e.message)
ovirt.node.exceptions.TransactionError: 'Transaction failed: unicode() argument
2 must be string, not None'
2013-07-25 02:35:12,245 - INFO - ovirtfunctions - Won't update /etc/hosts, it's
not empty.
Redirecting to /bin/systemctl restart  systemd-journald.service
Jul 25 02:35:12 Hardware virtualization detected

Comment 1 Fabian Deutsch 2013-11-28 12:37:10 UTC
Hey,

can you see if this is still reproducable on on 3.0.3?

Comment 2 Sandro Bonazzola 2014-03-04 09:21:55 UTC
This is an automated message.
Re-targeting all non-blocker bugs still open on 3.4.0 to 3.4.1.

Comment 3 Fabian Deutsch 2014-04-30 10:28:38 UTC
This should be fixed in 3.0.4

Please reopen if necessary

Comment 4 bohai 2017-10-09 09:13:12 UTC
close confirm


Note You need to log in before you can comment on or make changes to this bug.